ImportDefinition (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.factory.parsing

## Class ImportDefinition

- java.lang.Object
- - org.springframework.beans.factory.parsing.ImportDefinition

- All Implemented Interfaces:
    BeanMetadataElement

      public class ImportDefinition
      extends Object
      implements BeanMetadataElement

  Representation of an import that has been processed during the parsing process.
  Since:
    2.0
  Author:
    Juergen Hoeller
  See Also:
    `ReaderEventListener.importProcessed(ImportDefinition)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportDefinition(String importedResource)` Create a new ImportDefinition.
    `ImportDefinition(String importedResource, Object source)` Create a new ImportDefinition.
    `ImportDefinition(String importedResource, Resource[] actualResources, Object source)` Create a new ImportDefinition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource[]` | `getActualResources()`
    `String` | `getImportedResource()` Return the location of the imported resource.
    `Object` | `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportDefinition

          public ImportDefinition(String importedResource)

      Create a new ImportDefinition.
      Parameters:
        `importedResource` - the location of the imported resource

    - #### ImportDefinition

          public ImportDefinition(String importedResource,
                          Object source)

      Create a new ImportDefinition.
      Parameters:
        `importedResource` - the location of the imported resource
        `source` - the source object (may be `null`)

    - #### ImportDefinition

          public ImportDefinition(String importedResource,
                          Resource[] actualResources,
                          Object source)

      Create a new ImportDefinition.
      Parameters:
        `importedResource` - the location of the imported resource
        `source` - the source object (may be `null`)

  - ### Method Detail

    - #### getImportedResource

          public final String getImportedResource()

      Return the location of the imported resource.

    - #### getActualResources

          public final Resource[] getActualResources()

    - #### getSource

          public final Object getSource()

      Description copied from interface: `BeanMetadataElement`
      Return the configuration source `Object` for this metadata element (may be `null`).
      Specified by:
        `getSource` in interface `BeanMetadataElement`